// ccc jul05 corpse
// This pseudo dialog only opens the itemexchange interface for looting corpses
// one could also add dialogchoices for reawakening or burial


void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, Diag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(Diag, NPChar.Dialog);

	ref PChar;
	PChar = GetMainCharacter();
	int loc_id = FindLocation(PChar.location);

	switch(Dialog.CurrentNode)
	{
		case "exit":
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
			if(Npchar.middlename!=""){LAi_tmpl_SetFollow(Npchar, CharacterFromId(Npchar.middlename), 120000);}
		break;

		case "first time":
			Dialog.defAni = "dialog_stay1";
			Dialog.defCam = "1";
			Dialog.defSnd = "dialogs\0\017";
			Dialog.defLinkAni = "dialog_1";
			Dialog.defLinkCam = "1";
			Dialog.defLinkSnd = "dialogs\woman\024";
			Dialog.ani = "dialog_stay2";
			Dialog.cam = "1";
			Dialog.snd = "voice\PADI\PADI001";
			// ccc Dec 05 You are recognized for your pirating actions
			if (IsInServiceOf(PIRATE))
			{
				Dialog.Text = DLG_TEXT[0] + GetMySimpleName(PChar) + DLG_TEXT[1];
				Link.l1 = DLG_TEXT[2];
				Link.l1.go = "exit";
			}
			else
			{
				if(GetRMRelation(PChar, sti(Npchar.nation)) <= REL_WAR) //MT: At war with pirates
				{
					if (frnd() < GetChanceDetectFalseFlag()) // MT: If your false flag gets detected, then:
					{
						Dialog.Text = DLG_TEXT[3];
						Link.l1 = DLG_TEXT[4];
						Link.l1.go = "exit";
						LAi_group_SetRelation("random_pirates_group", LAI_GROUP_PLAYER, LAI_GROUP_ENEMY);
					}
					else // MT: If your false flag did not get detected, then:
					{
						if(frnd()<makefloat(GetRankFromPoints(GetScore(PChar)))/12.0 ) //MT: You've made quite a name for yourself, and are an attractive target for a mugging
						{
							Dialog.Text = DLG_TEXT[20] + GetMySimpleName(PChar) + DLG_TEXT[21];
							Link.l1 = DLG_TEXT[22];
							Link.l1.go = "exit";
							LAi_group_SetRelation("random_pirates_group", LAI_GROUP_PLAYER, LAI_GROUP_ENEMY);
						}
						else //MT: You're not worth the trouble
						{
							Dialog.Text = DLG_TEXT[10];
							Link.l1 = DLG_TEXT[11];
							Link.l1.go = "exit";
						}
					}
				}
				else // MT: You're not at war with the pirates, therefore aren't targeted by them
				{
					if (frnd()<makefloat(GetRankFromPoints(GetScore(PChar)))/12.0 ) //MT: recognised as famous individual
					{
						Dialog.Text = DLG_TEXT[12];
						Link.l1 = DLG_TEXT[13];
					}
					else
					{
						Dialog.Text = DLG_TEXT[18];
						Link.l1 = DLG_TEXT[19];
					}
					Link.l1.go = "exit";
				}
			}
			Diag.TempNode = "first time";
		break;
	}
}
